import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { DocumentBuilder, SwaggerModule } from '@nestjs/swagger';

async function bootstrap() {
  const app = await NestFactory.create(AppModule);
  const swaggerConfig = new DocumentBuilder().setTitle("TestProject").setDescription("TestProject").build();
  const document = SwaggerModule.createDocument(app,swaggerConfig);
  SwaggerModule.setup("api",app,document);
  await app.listen(3000);
}
bootstrap();
