import { ApiProperty } from "@nestjs/swagger";
import { Entity, PrimaryGeneratedColumn, Column } from "typeorm";

@Entity()
export class User {
    @ApiProperty()
    @PrimaryGeneratedColumn("uuid") // Using uuid as uniqueIdentifier type
    id: string;

    @ApiProperty()
    @Column()
    firstName?: string;

    @ApiProperty()
    @Column()
    lastName?: string;
    
    @ApiProperty() // To make sure the email is unique
    @Column({ unique: true })
    email!: string;
}